Skip to main content
`Ctrl`+`K`

# PetscCosReal

Returns the cosine of a `PetscReal` value, with argument in radians

## Synopsis

    #include <petscmath.h>
    PetscReal PetscCosReal(PetscReal a)

Not Collective; No Fortran Support

## Input Parameter

. a - the value

## See Also

`PetscReal`, `PetscScalar`, `PetscComplex`, `PetscCosComplex()`, `PetscCosScalar()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/ts/tutorials/ex45.c
src/ksp/ksp/tutorials/ex42.c
src/ts/tutorials/ex53.c
src/ts/tutorials/ex76.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages